KArchiveFile class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KArchiveFile Class Reference

A file in an archive. More...

`#include <karchive.h>`

Inheritance diagram for KArchiveFile:

[legend]
Collaboration diagram for KArchiveFile:

[legend]
List of all members.

## Public Member Functions
| KArchiveFile (KArchive *archive, const QString &name, int access, int date, const QString &user, const QString &group, const QString &symlink, int pos, int size)
int | position () const
| Position of the data in the [uncompressed] archive.
int | size () const
| Size of the data.
void | setSize (int s)
| Set size of data, usually after writing the file.
virtual QByteArray | data () const
QIODevice * | device () const
| This method returns QIODevice (internal class: KLimitedIODevice) on top of the underlying QIODevice.
virtual bool | isFile () const
void | copyTo (const QString &dest) const
| Extracts the file to the directory `dest` Since: 3.1.
## Protected Member Functions
virtual void | virtual_hook (int id, void *data)

## Detailed Description

A file in an archive.

See also:
  KArchive

  KArchiveDirectory

Definition at line 243 of file karchive.h.

## Member Function Documentation

int KArchiveFile::position | ( |  | ) | const

| Position of the data in the [uncompressed] archive. Definition at line 262 of file karchive.cpp. Referenced by KArchiveDirectory::copyTo().

int KArchiveFile::size | ( |  | ) | const

| Size of the data. Definition at line 267 of file karchive.cpp.

void KArchiveFile::setSize | ( | int | s | ) | `[inline]`

| Set size of data, usually after writing the file. Definition at line 263 of file karchive.h.

QByteArray KArchiveFile::data | ( |  | ) | const`[virtual]`

| Returns: the content of this file. Call data() with care (only once per file), this data isn't cached. Definition at line 272 of file karchive.cpp. References QIODevice::at(), KArchive::device(), and QIODevice::readBlock(). Referenced by copyTo().

QIODevice * KArchiveFile::device | ( |  | ) | const

| This method returns QIODevice (internal class: KLimitedIODevice) on top of the underlying QIODevice. This is obviously for reading only. Note that the ownership of the device is being transferred to the caller, who will have to delete it. The returned device auto-opens (in readonly mode), no need to open it. Definition at line 289 of file karchive.cpp.

virtual bool KArchiveFile::isFile | ( |  | ) | const`[inline, virtual]`

| Returns: true, since this entry is a file Reimplemented from KArchiveEntry. Definition at line 283 of file karchive.h.

void KArchiveFile::copyTo | ( | const QString & | dest | ) | const

| Extracts the file to the directory `dest` Since: 3.1. Definition at line 294 of file karchive.cpp. References QFile::close(), data(), KArchiveEntry::name(), and QFile::open(). Referenced by KArchiveDirectory::copyTo().

The documentation for this class was generated from the following files:

- karchive.h
- karchive.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:15:03 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001